## osso-screenshot-tool 1.20-1

=== Makefile ===
prefix = /usr
bindir = $(prefix)/bin

CC ?= gcc
CFLAGS ?= -Wall -O2 -g
CFLAGS += $(GTK_CFLAGS)
LDLIBS += $(GTK_LIBS)

GTK_CFLAGS := $(shell pkg-config --cflags gtk+-2.0)
GTK_LIBS := $(shell pkg-config --libs gtk+-2.0)

all: osso-screenshot-tool

clean:
	rm -f osso-screenshot-tool

install: osso-screenshot-tool
	install -m755 -d $(DESTDIR)$(bindir)
	install -m755 osso-screenshot-tool $(DESTDIR)$(bindir)/

distclean: clean

.PHONY: all clean distclean install

=== debian/changelog ===
osso-screenshot-tool (1.20-1) unstable; urgency=low

  * Add copyrights and GPL.

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Tue, 17 May 2005 13:05:31 +0300

osso-screenshot-tool (1.05-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Tue,  1 Feb 2005 16:58:26 +0200

=== debian/control ===
Source: osso-screenshot-tool
Section: graphics
Priority: optional
Maintainer: Tommi Komulainen <tommi.komulainen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev
Standards-Version: 3.6.0

Package: osso-screenshot-tool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Screenshot tool
 This tool allows you to take a screenshot of the current screen and save the
 image in a PNG file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/osso-screenshot-tool


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installmenu
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
